      program make_input

      implicit NONE

      integer nbod,ialpha,j,iseed
      real*8 ran3
      real*8 dpi,msun,gm,au
      real*8 radius,rhill,sema,ecc,inc,capom,omega,capm
      real*8 x,y,z,vx,vy,vz
      real*8 mass,amin,amax,da,me,rho

      dpi=acos(-1.d0)
      msun=39.47841760d0  ! GM, au/y
      me=3.d-6*msun
      au=1.496d11  ! m

      read(*,*,err=990,end=990) iseed
      iseed = -iseed

c Mercury- to Mars-size protoplanets

c Sun
      nbod=40
      write(*,*)nbod+1
      write(*,8488)msun
 8488 format(3(1x,g20.10))    
      write(*,*)'0.0 0.0 0.0'
      write(*,*)'0.0 0.0 0.0'      

c no Jupiter

c Mercury-size protoplanets
      mass=0.05*me
      rho = 3.0d3  ! kg m^-3
      amin=0.45d0
      amax=1.8d0
      da=(amax-amin)/float(nbod-1)

      do j=1,nbod
        sema=amin+(j-1.0)*da
        rhill=sema*(mass/(3.d0*msun))**(1.d0/3.d0)
        radius=(mass/msun*2.d30/(4.d0/3.d0*dpi*rho))**(1.d0/3.d0)/au
c        write(*,*) 'sema = ', sema, ' au'
c        write(*,*) 'mass = ', mass(j)/me, ' M_E'
c        write(*,*) 'radius = ', radius, ' au = ', radius*au/1.e3, ' km'
        ecc=0.01d0
        inc=0.5d0/180.d0*dpi
        capom=ran3(iseed)*2.d0*dpi
        omega=ran3(iseed)*2.d0*dpi
        capm=ran3(iseed)*2.d0*dpi
        gm=msun+mass
        ialpha=-1
        call orbel_el2xv(gm,ialpha,sema,ecc,inc,
     &       capom,omega,capm,x,y,z,vx,vy,vz)
        write(*,8488)mass,rhill,radius
        write(*,8488)x,y,z
        write(*,8488)vx,vy,vz
      end do

      stop

990   continue
      write(*,*) 'Error reading iseed.'
      end

c ===============================================================
      function ran3(idum)
      implicit real*8(a-h,o-z)
      parameter (mbig=1000000000,mseed=161803398,mz=0,fac=1.d-9)
      dimension ma(55)
      data iff /0/
      save
c --------------------------------------------------------------------
      if((idum.ge.0).and.(iff.ne.0)) goto 20
        iff=1
        mj=mseed-iabs(idum)
        mj=mod(mj,mbig)
        ma(55)=mj
        mk=1
        do 11 i=1,54
          ii=mod(21*i,55)
          ma(ii)=mk
          mk=mj-mk
          if(mk.lt.mz)mk=mk+mbig
          mj=ma(ii)
11      continue
        do 13 k=1,4
          do 12 i=1,55
            ma(i)=ma(i)-ma(1+mod(i+30,55))
            if(ma(i).lt.mz)ma(i)=ma(i)+mbig
12        continue
13      continue
        inext=0
        inextp=31
        idum=1
20    continue
      inext=inext+1
      if(inext.eq.56)inext=1
      inextp=inextp+1
      if(inextp.eq.56)inextp=1
      mj=ma(inext)-ma(inextp)
      if(mj.lt.mz)mj=mj+mbig
      ma(inext)=mj
      ran3=mj*fac
      return
      end

